## GimpFrame

GimpFrame — A widget providing a HIG-compliant subclass of GtkFrame.

## Functions

GtkWidget * | gimp_frame_new ()

## Style Properties

gboolean | label-bold | Read
int | label-spacing | Read

## Types and Values

| GimpFrame

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkFrame
                                ╰── GimpFrame

## Implemented Interfaces

GimpFrame implements AtkImplementorIface and GtkBuildable.

## Description

A widget providing a HIG-compliant subclass of GtkFrame.

## Functions

### gimp_frame_new ()

    GtkWidget *
    gimp_frame_new (const gchar *label);

Creates a GimpFrame widget. A GimpFrame is a HIG-compliant variant of GtkFrame. It doesn't render a frame at all but otherwise behaves like a frame. The frame's title is rendered in bold and the frame content is indented four spaces as suggested by the GNOME HIG (see https://developer.gnome.org/hig/stable/).

#### Parameters

label | text to set as the frame's title label (or `NULL` for no title) |

#### Returns

a new GimpFrame widget

Since: 2.2

## Types and Values

### GimpFrame

    typedef struct _GimpFrame GimpFrame;

## Style Property Details

### The `“label-bold”` style property

      “label-bold”               gboolean

Whether the frame's label should be bold.

Owner: GimpFrame

Flags: Read

Default value: TRUE

### The `“label-spacing”` style property

      “label-spacing”            int

The spacing between the label and the frame content.

Owner: GimpFrame

Flags: Read

Allowed values: >= 0

Default value: 6